Subject: Re: A vexing installation problem
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 30 Nov 2004 13:14:08 -0000

With so many planet-sized intellects working away at this I am a bit nervous
about making yet another contribution of the style "how's this for weird?".
But

On my system I have so contrived things that I have exactly one (yes promise
and hope to die horribly) exactly one cygwin1.dll and there ain't nothing
else at all, anywhere. Cygwin is not installed. The dll (latest issue 1.5.12
but not a snapshot) lives by itself with cygcheck.exe in a subdirectory.
There is no mention of [cC]ygwin or [cC]ygnus anywhere in the registry.

Moving to that subdirectory and typing
	cygcheck -s
gives
	Warning: There are multiple cygwin1.dlls on your path
in the output.

Weirdly (?) the "Cygwin DLL version info"

 1114k 2004/11/10 .\cygwin1.dll
    Cygwin DLL version info:
        DLL version: 1.5.12
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 116
        Shared data: 4
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix:
        Build date: Wed Nov 10 08:34:47 EST 2004
        Shared id: cygwin1S4

is provided *twice*, and then comes the Warning message.

Fergus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/